<template>
  <nuxt-link
    :to="to"
    tag="button"
    class="fr-btn fr-icon-arrow-right-line fr-btn--icon-right"
    :class="{ 'anct-border-rounded': rounded, expanded }"
  >
    <span class="fr-col"
      ><strong><slot /></strong
    ></span>
  </nuxt-link>
</template>

<script>
export default {
  name: 'FrLinkButton',

  props: {
    to: {
      type: Object,
      required: true,
    },
    rounded: {
      type: Boolean,
      default: false,
    },
    expanded: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style scoped>
.expanded {
  width: 100%;
}
</style>
